Written by
🚧 [Experimental] Update QL chart
Updates the specified QL chart.
Request
POST
https://api.datalens.tech/rpc/updateQLChart
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"entryId": "example",
"template": "ql",
"annotation": {
"description": "example"
},
"mode": "save",
"data": {}
}
|
Name |
Description |
||
|
data |
Type: object
Example
|
||
|
entryId |
Type: string Example: |
||
|
mode |
Type: EntryUpdateMode Entry update mode. Enum: |
||
|
template |
Type: string Const: Example: |
||
|
annotation |
Type: EntryAnnotationArg Example
|
||
|
[additional] |
Type: unknown Example: |
EntryAnnotationArg
|
Name |
Description |
|
description |
Type: string Description of the entry. Example: |
Example
{
"description": "example"
}
EntryUpdateMode
Entry update mode.
Type: string
Enum: save, publish
Responses
200 OK
Response
Body
application/json
{}
|
Name |
Description |
|
[additional] |
Type: unknown Example: |